Does not work with 3.6 Rated 3 out of 5 stars

This is one of the first addons I install when I set up anyone's FF. I have used this for a very long time until 3.6. Someone needs to pick up the baton and fix this much needed app!